﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;

using Android.App;
using Android.Content;
using Android.Graphics;
using Android.OS;
using Android.Runtime;
using Android.Views;
using Android.Widget;
using Com.Syncfusion.Charts;

namespace Chart_GettingStarted
{
    [Activity(Label = "ChartSample", MainLauncher = true)]
    public class ChartSample : Activity
    {
        SfChart chart;
        protected override void OnCreate(Bundle savedInstanceState)
        {
            base.OnCreate(savedInstanceState);

            chart = new SfChart(this);
            chart.SetBackgroundColor(Color.White);

            NumericalAxis primaryAxis = new NumericalAxis();
            primaryAxis.Title.Text = "XAxis";
            chart.PrimaryAxis = primaryAxis;

            NumericalAxis secondaryAxis = new NumericalAxis();
            secondaryAxis.Title.Text = "YAxis";
            chart.SecondaryAxis = secondaryAxis;

            SplineAreaSeries series = new SplineAreaSeries();

            ViewModel viewModel = new ViewModel();
            
            series.ItemsSource = viewModel.Data;
            series.XBindingPath = "XValue";
            series.YBindingPath = "YValue";
            series.DataPointSelectionEnabled = true;
            
            chart.SelectionChanged += Chart_SelectionChanged;

            series.DataMarker.ShowLabel = true;
            series.DataMarker.ShowMarker = true;
            series.TooltipEnabled = true;
            
            chart.Series.Add(series);

            SetContentView(chart);
        }

    
        private void Chart_SelectionChanged(object sender, SfChart.SelectionChangedEventArgs e)
        {
            var currentIndex = e.P1.SelectedDataPointIndex;
            var items = e.P1.SelectedSeries.ItemsSource;
            
            var data = items as ObservableCollection<Model1>;
            if (data != null)
            {
                var yVal = data[currentIndex].YValue;
                var xVal = data[currentIndex].XValue;
               
                var X1 = e.P0.PrimaryAxis.ValueToPoint(xVal);//Here you get the X1 value
                var Y1 = e.P0.SecondaryAxis.ValueToPoint(yVal);//Here you get the Y1 value
            }
        }
    }
    public class ViewModel
    {
        public ObservableCollection<Model1> Data { get; set; }

        Random random = new Random();

        public ViewModel()
        {
            Data = new ObservableCollection<Model1>();
            for (int i = 0; i < 10; i++)
            {
                Data.Add(new Model1() { XValue = i, YValue = random.Next(50, 100) });
            }
        }
    }
    public class Model1
    {
        public double XValue { get; set; }
        public double YValue { get; set; }
    }
}